# Generated from biro-0.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name biro

Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Summary: Biro is a library that standardizes multi-provider brazilian credit bureaus
License: MIT
URL: https://github.com/noverde/biro
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry-byebug) >= 3.4
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(webmock) >= 2.3
# BuildRequires: rubygem(webmock) < 3
BuildArch: noarch

%description
Biro is a library that standardizes multi-provider brazilian credit bureaus.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/biro-0.6.2.gem
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/biro.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.7.1-1
- Initial package
